﻿CREATE TABLE dbo.Result
(
	Id BIGINT IDENTITY(1,1) CONSTRAINT PK_Result PRIMARY KEY, 
	House VARCHAR(200),
	HouseId BIGINT, 
	HouseMemberType INT, 
	HouseTag INT, 
	HouseGeo GEOGRAPHY, 
	HouseGeoPol GEOGRAPHY,
	HouseGeoStartPoint GEOGRAPHY,
	StreetName VARCHAR(200), 
	StreetId BIGINT, 
	StreetMemberType INT, 
	StreetTag INT, 
	CityName VARCHAR(200), 
	CityId BIGINT, 
	CityMemberType INT, 
	CityTag INT, 
	AreaName VARCHAR(200), 
	RegionName VARCHAR(200), 
	ZipId BIGINT, 
	Zip VARCHAR(10), 
	ZipMemberType INT, 
	ZipTag INT,
	ZipIsCalced INT,
	
	addr_alt_housenumber nvarchar(500) NULL,
	addr_city nvarchar(500) NULL,
	addr_country nvarchar(500) NULL,
	addr_district nvarchar(500) NULL,
	addr_flats nvarchar(500) NULL,
	addr_floor nvarchar(500) NULL,
	addr_full nvarchar(500) NULL,
	addr_hamlet nvarchar(500) NULL,
	addr_housename nvarchar(500) NULL,
	addr_housenumber nvarchar(500) NULL,
	addr_housenumber_1 nvarchar(500) NULL,
	addr_housenumber_2 nvarchar(500) NULL,
	addr_housenumber1 nvarchar(500) NULL,
	addr_housenumber2 nvarchar(500) NULL,
	addr_inclusion nvarchar(500) NULL,
	addr_interpolation nvarchar(500) NULL,
	addr_letter nvarchar(500) NULL,
	addr_neighbourhood nvarchar(500) NULL,
	addr_place nvarchar(500) NULL,
	addr_place1 nvarchar(500) NULL,
	addr_postcode nvarchar(500) NULL,
	addr_province nvarchar(500) NULL,
	addr_quarter nvarchar(500) NULL,
	addr_region nvarchar(500) NULL,
	addr_source nvarchar(500) NULL,
	addr_state nvarchar(500) NULL,
	addr_street nvarchar(500) NULL,
	addr_street_1 nvarchar(500) NULL,
	addr_street_2 nvarchar(500) NULL,
	addr_street1 nvarchar(500) NULL,
	addr_street2 nvarchar(500) NULL,
	addr_subdistrict nvarchar(500) NULL,
	addr_suburb nvarchar(500) NULL,
	addr_unit nvarchar(500) NULL,
	addr_village nvarchar(500) NULL,
	[address] nvarchar(500) NULL,
	admin_centre nvarchar(500) NULL,
	admin_level nvarchar(500) NULL,
	administrative nvarchar(500) NULL,
	area nvarchar(500) NULL,
	area_aeroway nvarchar(500) NULL,
	area_highway nvarchar(500) NULL,
	area_steps nvarchar(500) NULL,
	boundary nvarchar(500) NULL,
	is_in nvarchar(500) NULL,
	[name] nvarchar(500) NULL,
	name_ru nvarchar(500) NULL,
	place nvarchar(500) NULL,
	place_destination nvarchar(500) NULL,
	place_origin nvarchar(500) NULL,
	place_of_worship nvarchar(500) NULL,
	place_of_worship_type nvarchar(500) NULL,
	placement nvarchar(500) NULL,
	placement_backward nvarchar(500) NULL,
	placement_forward nvarchar(500) NULL
);
GO;
CREATE INDEX IX_Result_HouseMemberType ON dbo.Result(HouseMemberType) INCLUDE(HouseId);
GO;
CREATE INDEX IX_Result_HouseId ON dbo.Result(HouseId) INCLUDE(HouseMemberType);
GO;
CREATE SPATIAL INDEX SI_Result_HouseGeoStartPoint ON dbo.Result(HouseGeoStartPoint);
GO;
CREATE SPATIAL INDEX SI_Result_HouseGeoPol ON dbo.Result(HouseGeoPol);
GO;
CREATE NONCLUSTERED INDEX IX_Result_CityName ON dbo.Result (CityName);
GO;
CREATE NONCLUSTERED INDEX IX_Result_RegionName_Zip ON dbo.Result (RegionName,Zip)INCLUDE (House,StreetName,CityName,AreaName,HouseGeoStartPoint);